
package com.teknei.bid.karalundi.wsdl;

import java.net.URL;

import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceException;
import javax.xml.ws.WebServiceFeature;



/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.2.9-b130926.1035
 * Generated source version: 2.2
 * 
 */
@WebServiceClient(name = "administration", targetNamespace = "http://ws.kivox.soran.com/", wsdlLocation = "home/administration.wsdl")
public class Administration
    extends Service
{

    private final static URL ADMINISTRATION_WSDL_LOCATION;
    private final static WebServiceException ADMINISTRATION_EXCEPTION;
    private final static QName ADMINISTRATION_QNAME = new QName("http://ws.kivox.soran.com/", "administration");

    static {
        WebServiceException e = null;
        URL url = Administration.class.getResource("home/administration.wsdl");
        ADMINISTRATION_WSDL_LOCATION = url;
        ADMINISTRATION_EXCEPTION = e;
    }

    public Administration() {
        super(__getWsdlLocation(), ADMINISTRATION_QNAME);
    }

    public Administration(WebServiceFeature... features) {
        super(__getWsdlLocation(), ADMINISTRATION_QNAME, features);
    }

    public Administration(URL wsdlLocation) {
        super(wsdlLocation, ADMINISTRATION_QNAME);
    }

    public Administration(URL wsdlLocation, WebServiceFeature... features) {
        super(wsdlLocation, ADMINISTRATION_QNAME, features);
    }

    public Administration(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

    public Administration(URL wsdlLocation, QName serviceName, WebServiceFeature... features) {
        super(wsdlLocation, serviceName, features);
    }

    /**
     * 
     * @return
     *     returns AdministrationService
     */
    @WebEndpoint(name = "AdministrationServicePort")
    public AdministrationService getAdministrationServicePort() {
        return super.getPort(new QName("http://ws.kivox.soran.com/", "AdministrationServicePort"), AdministrationService.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns AdministrationService
     */
    @WebEndpoint(name = "AdministrationServicePort")
    public AdministrationService getAdministrationServicePort(WebServiceFeature... features) {
        return super.getPort(new QName("http://ws.kivox.soran.com/", "AdministrationServicePort"), AdministrationService.class, features);
    }

    private static URL __getWsdlLocation() {
        if (ADMINISTRATION_EXCEPTION!= null) {
            throw ADMINISTRATION_EXCEPTION;
        }
        return ADMINISTRATION_WSDL_LOCATION;
    }

}
